org.wildfly.swarm.config.undertow

## Class ApplicationSecurityDomain<T extends ApplicationSecurityDomain<T>>

- java.lang.Object
- - org.wildfly.swarm.config.undertow.ApplicationSecurityDomain<T>

-     public class ApplicationSecurityDomain<T extends ApplicationSecurityDomain<T>>
      extends Object

  A Mapping from a security domain references in a deployed application.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ApplicationSecurityDomain.ApplicationSecurityDomainResources` Child mutators for ApplicationSecurityDomain

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationSecurityDomain(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `enableJacc()` Enable authorization using JACC
    `T` | `enableJacc(Boolean value)` Enable authorization using JACC
    `String` | `getKey()`
    `String` | `httpAuthenticationFactory()` The HTTP Authentication Factory to be used by deployments that reference the mapped security domain.
    `T` | `httpAuthenticationFactory(String value)` The HTTP Authentication Factory to be used by deployments that reference the mapped security domain.
    `Boolean` | `overrideDeploymentConfig()` Should the authentication configuration in the deployment be overridden by the factory.
    `T` | `overrideDeploymentConfig(Boolean value)` Should the authentication configuration in the deployment be overridden by the factory.
    `T` | `referencingDeployment(String value)` The deployments currently referencing this mapping.
    `List<String>` | `referencingDeployments()` The deployments currently referencing this mapping.
    `T` | `referencingDeployments(List<String> value)` The deployments currently referencing this mapping.
    `T` | `referencingDeployments(String... args)` The deployments currently referencing this mapping.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `T` | `singleSignOnSetting()` An SSO authentication mechanism configuration.
    `T` | `singleSignOnSetting(SingleSignOnSetting value)` An SSO authentication mechanism configuration.
    `T` | `singleSignOnSetting(SingleSignOnSettingConsumer consumer)` An SSO authentication mechanism configuration.
    `T` | `singleSignOnSetting(SingleSignOnSettingSupplier supplier)` An SSO authentication mechanism configuration.
    `ApplicationSecurityDomain.ApplicationSecurityDomainResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationSecurityDomain

          public ApplicationSecurityDomain(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public ApplicationSecurityDomain.ApplicationSecurityDomainResources subresources()

    - #### singleSignOnSetting

          public T singleSignOnSetting(SingleSignOnSetting value)

      An SSO authentication mechanism configuration.

    - #### singleSignOnSetting

          public T singleSignOnSetting(SingleSignOnSettingConsumer consumer)

      An SSO authentication mechanism configuration.

    - #### singleSignOnSetting

          public T singleSignOnSetting()

      An SSO authentication mechanism configuration.

    - #### singleSignOnSetting

          public T singleSignOnSetting(SingleSignOnSettingSupplier supplier)

      An SSO authentication mechanism configuration.

    - #### enableJacc

          public Boolean enableJacc()

      Enable authorization using JACC

    - #### enableJacc

          public T enableJacc(Boolean value)

      Enable authorization using JACC

    - #### httpAuthenticationFactory

          public String httpAuthenticationFactory()

      The HTTP Authentication Factory to be used by deployments that reference the mapped security domain.

    - #### httpAuthenticationFactory

          public T httpAuthenticationFactory(String value)

      The HTTP Authentication Factory to be used by deployments that reference the mapped security domain.

    - #### overrideDeploymentConfig

          public Boolean overrideDeploymentConfig()

      Should the authentication configuration in the deployment be overridden by the factory.

    - #### overrideDeploymentConfig

          public T overrideDeploymentConfig(Boolean value)

      Should the authentication configuration in the deployment be overridden by the factory.

    - #### referencingDeployments

          public List<String> referencingDeployments()

      The deployments currently referencing this mapping.

    - #### referencingDeployments

          public T referencingDeployments(List<String> value)

      The deployments currently referencing this mapping.

    - #### referencingDeployment

          public T referencingDeployment(String value)

      The deployments currently referencing this mapping.

    - #### referencingDeployments

          public T referencingDeployments(String... args)

      The deployments currently referencing this mapping.

Copyright © 2017 JBoss by Red Hat. All rights reserved.